IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Companies Per Company Country Code GETGet Industries GETGet Jobs And Companies Per Job Country Code GETGet Technologies And Buying Intents GETGet Geographic Locations GETGet Keyword Categories GETGet Keyword Subcategories GET
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Catalog

Get Keyword Subcategories

Returns a list of keyword subcategories with their keywords. Behavior: returns all subcategories if no parameters are provided; returns all subcategories for a specific parent category if only category_slug is provided; returns a specific subcategory if both category_slug and subcategory_slug are provided.

GET
/v1/catalog/keywords/subcategories

Query Parameters

  • subcategory_slug
    stringnullable
    account-reconciliation

    Subcategory slug to filter by a specific subcategory. Must be used together with category_slug.

  • category_slug
    stringnullable
    finance-and-accounting

    Parent category slug to filter subcategories. If provided with subcategory_slug, returns only that specific subcategory. If provided alone, returns all subcategories for that parent category.

  • num_technologies_per_category
    integer
    default: 5

    Number of keywords per category to include in the response

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v1/catalog/keywords/subcategories"
    {
      "data": [
        {
          "name": "string",
          "slug": "string",
          "description": "string",
          "number_of_technologies": 0,
          "number_of_companies": 0,
          "technologies": [
            {
              "name": "string",
              "logo": "string",
              "slug": "string"
            }
          ],
          "category_slug": "string"
        }
      ],
      "metadata": {
        "total_results": 2034
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Get Keyword Categories GET

    Returns a list of main keyword categories (technologies and buying intents) with the number of keywords and companies in each. Optionally filters to return a specific category if category_slug is provided.

    Delete Company List DELETE

    Next Page